Subject: RE: [rohc] Re: Call for Freeze: TCP Header Compression Requiremen ts

From: "Lars-Erik Jonsson (EPL)" <[email-masked]>
Date: Wed, 22 May 2002 10:13:18 +0200

Hi all,

Our call for freeze on the TCP requirements generated one request
for clarification, which I have tried to address with some minor
modifications to the text in 2.3.3, and with one more note added.
The proposed new text is included below, as well as the comment
from Gorry. Please let me know if there are any objections to this
modification, otherwise I will update the draft and put it on hold
until we have the TCP scheme ready.

BR
/L-E

(Section 2.3)
3. Residual errors in compressed headers: Residual errors in compressed
   headers may result in delivery of incorrectly decompressed headers not
   only for the damaged packet itself, but also for subsequent packets,
   since errors may be saved in the context state. For TCP, the compression
   scheme is not required to implement explicit mechanisms for residual
   error detection, but the compression scheme must not affect TCP's
   end-to-end mechanisms for error detection.

   Justification: For links carrying TCP traffic, the residual error rate
   is expected to be insignificant. However, residual errors may still
   occur, especially in the end-to-end path, and therefore it is crucial
   that TCP is not prevented from handling these.

   Note: This requirement implies that the TCP checksum must be carried
   unmodified in all compressed headers.

   Note: The error detection mechanism in TCP may be able to detect
   residual bit errors, but the mechanism is not designed for this purpose,
   and might actually provide a rather weak protection. Therefore, although
   it is not a requirement on the compression scheme, the decompressor
   should discard packets which are known to contain residual errors.

> -----Original Message-----
> From: Gorry Fairhurst [mailto:[email-masked]]
> Sent: den 29 mars 2002 09:40
> To: [email-masked]
> Subject: [rohc] Re: Call for Freeze: TCP Header Compression 
> Requirements
> 
> 
> Thanks for this rev, I think it looks much better!
> 
> 2.3.3
> I agree with what this section says, but would have prefered 
> to have gone further. The current text tends to suggest TCP
> will detect bit errors...
> Actually it can be VERY poor at doing this.  I would have 
> preferred to also see a statement saying something like:
> "compressed frames which are known to contain residual
> errors MUST be discarded".
> 
> Gorry
> 
> draft-ietf-rohc-tcp-requirements-03.txt

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc